unit Hallo6;

interface

uses
  Windows, Messages, SysUtils, Classes, Graphics, Controls, Forms, Dialogs,
  StdCtrls, ExtCtrls;

type
  TForm1 = class(TForm)
    Label1: TLabel;
    RadioGroup1: TRadioGroup;
    CheckBox1: TCheckBox;
    CheckBox2: TCheckBox;
    CheckBox3: TCheckBox;
    GroupBox1: TGroupBox;
    Button1: TButton;
    procedure RadioGroup1Click(Sender: TObject);
    procedure Button1Click(Sender: TObject);
    procedure FormCreate(Sender: TObject);
    procedure CheckBox1Click(Sender: TObject);
    procedure CheckBox2Click(Sender: TObject);
    procedure CheckBox3Click(Sender: TObject);
  private
    { Private-Deklarationen }
  public
    { Public-Deklarationen }
  end;

var
  Form1: TForm1;
  Diagnose, Titel: String;
  Bereich: Array[1..3] of String;
  Wahl   : Array[1..3] of Boolean;

implementation

{$R *.DFM}

procedure TForm1.RadioGroup1Click(Sender: TObject);
begin
  case RadioGroup1.ItemIndex of
    0: Diagnose := 'Das ist ja toll!';
    1: Diagnose := 'Das freut mich!';
    2: Diagnose := 'Das geht ja noch.';
    3: Diagnose := 'Das tut mir leid!';
    4: Diagnose := 'Das ist ja schlimm!';
    5: Diagnose := 'Wenn du meinst ...';
  end;
end;

procedure TForm1.Button1Click(Sender: TObject);
var Nr: Integer;
begin
  Caption := 'Diagnose';
  for Nr := 1 to 3 do
    if Wahl[Nr] then Caption := Caption + Bereich[Nr];
  Label1.Caption := Diagnose;
end;

procedure TForm1.FormCreate(Sender: TObject);
begin
  Bereich[1] := ' für Seele ';  Wahl[1] := false;
  Bereich[2] := ' für Geist ';  Wahl[2] := false;
  Bereich[3] := ' für Körper '; Wahl[3] := false;
end;

procedure TForm1.CheckBox1Click(Sender: TObject);
begin
  Wahl[1] := CheckBox1.Checked;
end;

procedure TForm1.CheckBox2Click(Sender: TObject);
begin
  Wahl[2] := CheckBox2.Checked;
end;

procedure TForm1.CheckBox3Click(Sender: TObject);
begin
  Wahl[3] := CheckBox3.Checked;
end;

end.
